[bitnami/several] Deprecated some branches unmaintained upstream (#33426)

Signed-off-by: Carlos Rodríguez Hernández <carlosrh@vmware.com>
This commit is contained in:
Carlos Rodríguez Hernández 2023-05-12 08:16:18 +02:00 committed by GitHub
parent 2243372b92
commit 101c880331
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
37 changed files with 0 additions and 4446 deletions

View File

@ -1,50 +0,0 @@
FROM bitnami/minideb:bullseye as builder
ARG TARGETARCH
ENV OS_ARCH="${TARGETARCH:-amd64}"
COPY prebuildfs /
SHELL ["/bin/bash", "-o", "pipefail", "-c"]
# Install required system packages and dependencies
RUN install_packages ca-certificates curl
RUN mkdir -p /tmp/bitnami/pkg/cache/ && cd /tmp/bitnami/pkg/cache/ && \
COMPONENTS=( \
"contour-operator-1.21.1-12-linux-${OS_ARCH}-debian-11" \
) && \
for COMPONENT in "${COMPONENTS[@]}"; do \
if [ ! -f "${COMPONENT}.tar.gz" ]; then \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz" -O ; \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz.sha256" -O ; \
fi && \
sha256sum -c "${COMPONENT}.tar.gz.sha256" && \
tar -zxf "${COMPONENT}.tar.gz" -C /opt/bitnami --strip-components=2 --no-same-owner --wildcards '*/files' && \
rm -rf "${COMPONENT}".tar.gz{,.sha256} ; \
done
######
FROM scratch
ARG TARGETARCH
ENV OS_ARCH="${TARGETARCH:-amd64}"
LABEL org.opencontainers.image.base.name="scratch" \
org.opencontainers.image.created="2023-04-01T10:26:58Z" \
org.opencontainers.image.description="Application packaged by VMware, Inc" \
org.opencontainers.image.licenses="Apache-2.0" \
org.opencontainers.image.ref.name="1.21.1-scratch-r14" \
org.opencontainers.image.title="contour-operator" \
org.opencontainers.image.vendor="VMware, Inc." \
org.opencontainers.image.version="1.21.1"
COPY prebuildfs /
COPY rootfs /
COPY --from=builder /opt/bitnami/contour-operator/bin/contour-operator /contour-operator
USER 1001
ENTRYPOINT [ "/contour-operator" ]

View File

@ -1,4 +0,0 @@
version: '2'
services:
contour-operator:
image: docker.io/bitnami/contour-operator:1.21

View File

@ -1,8 +0,0 @@
{
"contour-operator": {
"arch": "amd64",
"distro": "debian-11",
"type": "NAMI",
"version": "1.21.1-12"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses at:
https://bitnami.com/open-source
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,4 +0,0 @@
rolling-tags:
- "1.21"
- 1.21-scratch
- 1.21.1

View File

@ -1,47 +0,0 @@
FROM docker.io/bitnami/minideb:bullseye
ARG TARGETARCH
LABEL org.opencontainers.image.base.name="docker.io/bitnami/minideb:bullseye" \
org.opencontainers.image.created="2023-05-08T17:58:35Z" \
org.opencontainers.image.description="Application packaged by VMware, Inc" \
org.opencontainers.image.licenses="Apache-2.0" \
org.opencontainers.image.ref.name="1.21.3-debian-11-r50" \
org.opencontainers.image.title="contour" \
org.opencontainers.image.vendor="VMware, Inc." \
org.opencontainers.image.version="1.21.3"
ENV HOME="/" \
OS_ARCH="${TARGETARCH:-amd64}" \
OS_FLAVOUR="debian-11" \
OS_NAME="linux"
COPY prebuildfs /
SHELL ["/bin/bash", "-o", "pipefail", "-c"]
# Install required system packages and dependencies
RUN install_packages ca-certificates curl procps
RUN mkdir -p /tmp/bitnami/pkg/cache/ && cd /tmp/bitnami/pkg/cache/ && \
COMPONENTS=( \
"contour-1.21.3-4-linux-${OS_ARCH}-debian-11" \
) && \
for COMPONENT in "${COMPONENTS[@]}"; do \
if [ ! -f "${COMPONENT}.tar.gz" ]; then \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz" -O ; \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz.sha256" -O ; \
fi && \
sha256sum -c "${COMPONENT}.tar.gz.sha256" && \
tar -zxf "${COMPONENT}.tar.gz" -C /opt/bitnami --strip-components=2 --no-same-owner --wildcards '*/files' && \
rm -rf "${COMPONENT}".tar.gz{,.sha256} ; \
done
RUN apt-get autoremove --purge -y curl && \
apt-get update && apt-get upgrade -y && \
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives
RUN chmod g+rwX /opt/bitnami
RUN ln -s /opt/bitnami/contour/bin/contour /bin/contour
ENV APP_VERSION="1.21.3" \
BITNAMI_APP_NAME="contour" \
PATH="/opt/bitnami/contour/bin:$PATH"
USER 1001
ENTRYPOINT [ "contour" ]

View File

@ -1,10 +0,0 @@
version: '2'
services:
contour:
image: docker.io/bitnami/contour:1.21
volumes:
- contour_data:/bitnami/contour
volumes:
contour_data:
driver: local

View File

@ -1,8 +0,0 @@
{
"contour": {
"arch": "amd64",
"distro": "debian-11",
"type": "NAMI",
"version": "1.21.3-4"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses at:
https://bitnami.com/open-source
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,25 +0,0 @@
#!/bin/sh
set -eu
n=0
max=2
export DEBIAN_FRONTEND=noninteractive
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,4 +0,0 @@
rolling-tags:
- "1.21"
- 1.21-debian-11
- 1.21.3

View File

@ -1,50 +0,0 @@
FROM docker.io/bitnami/minideb:bullseye
ARG TARGETARCH
LABEL org.opencontainers.image.base.name="docker.io/bitnami/minideb:bullseye" \
org.opencontainers.image.created="2023-05-08T19:02:55Z" \
org.opencontainers.image.description="Application packaged by VMware, Inc" \
org.opencontainers.image.licenses="Apache-2.0" \
org.opencontainers.image.ref.name="1.13.1-debian-11-r67" \
org.opencontainers.image.title="cosign" \
org.opencontainers.image.vendor="VMware, Inc." \
org.opencontainers.image.version="1.13.1"
ENV HOME="/" \
OS_ARCH="${TARGETARCH:-amd64}" \
OS_FLAVOUR="debian-11" \
OS_NAME="linux"
COPY prebuildfs /
SHELL ["/bin/bash", "-o", "pipefail", "-c"]
# Install required system packages and dependencies
RUN install_packages ca-certificates curl procps
RUN mkdir -p /tmp/bitnami/pkg/cache/ && cd /tmp/bitnami/pkg/cache/ && \
COMPONENTS=( \
"cosign-1.13.1-5-linux-${OS_ARCH}-debian-11" \
) && \
for COMPONENT in "${COMPONENTS[@]}"; do \
if [ ! -f "${COMPONENT}.tar.gz" ]; then \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz" -O ; \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz.sha256" -O ; \
fi && \
sha256sum -c "${COMPONENT}.tar.gz.sha256" && \
tar -zxf "${COMPONENT}.tar.gz" -C /opt/bitnami --strip-components=2 --no-same-owner --wildcards '*/files' && \
rm -rf "${COMPONENT}".tar.gz{,.sha256} ; \
done
RUN apt-get autoremove --purge -y curl && \
apt-get update && apt-get upgrade -y && \
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives
RUN chmod g+rwX /opt/bitnami
RUN mkdir -p "/cosign-keys" && chmod -R 777 "/cosign-keys"
RUN mkdir /.sigstore && chmod g+rwX /.sigstore
ENV APP_VERSION="1.13.1" \
BITNAMI_APP_NAME="cosign" \
PATH="/opt/bitnami/cosign/bin:$PATH"
WORKDIR /cosign-keys
USER 1001
ENTRYPOINT [ "cosign" ]
CMD [ "--help" ]

View File

@ -1,4 +0,0 @@
version: '2'
services:
cosign:
image: docker.io/bitnami/cosign:1

View File

@ -1,8 +0,0 @@
{
"cosign": {
"arch": "amd64",
"distro": "debian-11",
"type": "NAMI",
"version": "1.13.1-5"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses at:
https://bitnami.com/open-source
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,25 +0,0 @@
#!/bin/sh
set -eu
n=0
max=2
export DEBIAN_FRONTEND=noninteractive
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,4 +0,0 @@
rolling-tags:
- "1"
- 1-debian-11
- 1.13.1

View File

@ -1,49 +0,0 @@
FROM docker.io/bitnami/minideb:bullseye
ARG TARGETARCH
LABEL org.opencontainers.image.base.name="docker.io/bitnami/minideb:bullseye" \
org.opencontainers.image.created="2023-05-09T02:06:45Z" \
org.opencontainers.image.description="Application packaged by VMware, Inc" \
org.opencontainers.image.licenses="Apache-2.0" \
org.opencontainers.image.ref.name="1.5.0-debian-11-r91" \
org.opencontainers.image.title="grafana-tempo-query" \
org.opencontainers.image.vendor="VMware, Inc." \
org.opencontainers.image.version="1.5.0"
ENV HOME="/" \
OS_ARCH="${TARGETARCH:-amd64}" \
OS_FLAVOUR="debian-11" \
OS_NAME="linux"
COPY prebuildfs /
SHELL ["/bin/bash", "-o", "pipefail", "-c"]
# Install required system packages and dependencies
RUN install_packages ca-certificates curl procps
RUN mkdir -p /tmp/bitnami/pkg/cache/ && cd /tmp/bitnami/pkg/cache/ && \
COMPONENTS=( \
"grafana-tempo-query-1.5.0-12-linux-${OS_ARCH}-debian-11" \
) && \
for COMPONENT in "${COMPONENTS[@]}"; do \
if [ ! -f "${COMPONENT}.tar.gz" ]; then \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz" -O ; \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz.sha256" -O ; \
fi && \
sha256sum -c "${COMPONENT}.tar.gz.sha256" && \
tar -zxf "${COMPONENT}.tar.gz" -C /opt/bitnami --strip-components=2 --no-same-owner --wildcards '*/files' && \
rm -rf "${COMPONENT}".tar.gz{,.sha256} ; \
done
RUN apt-get autoremove --purge -y curl && \
apt-get update && apt-get upgrade -y && \
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives
RUN chmod g+rwX /opt/bitnami
ENV APP_VERSION="1.5.0" \
BITNAMI_APP_NAME="grafana-tempo-query" \
GRPC_STORAGE_PLUGIN_BINARY="/opt/bitnami/grafana-tempo-query/bin/tempo-query" \
PATH="/opt/bitnami/grafana-tempo-query/bin:/opt/bitnami/jaeger-query/bin:$PATH" \
SPAN_STORAGE_TYPE="grpc-plugin"
USER 1001
ENTRYPOINT [ "query" ]
CMD [ "--grpc-storage-plugin.configuration-file=/bitnami/grafana-tempo/conf/tempo-query.yaml" ]

View File

@ -1,4 +0,0 @@
version: '2'
services:
grafana-tempo-query:
image: docker.io/bitnami/grafana-tempo-query:1

View File

@ -1,8 +0,0 @@
{
"grafana-tempo-query": {
"arch": "amd64",
"distro": "debian-11",
"type": "NAMI",
"version": "1.5.0-12"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses at:
https://bitnami.com/open-source
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,25 +0,0 @@
#!/bin/sh
set -eu
n=0
max=2
export DEBIAN_FRONTEND=noninteractive
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,4 +0,0 @@
rolling-tags:
- "1"
- 1-debian-11
- 1.5.0

View File

@ -1,47 +0,0 @@
FROM docker.io/bitnami/minideb:bullseye
ARG TARGETARCH
LABEL org.opencontainers.image.base.name="docker.io/bitnami/minideb:bullseye" \
org.opencontainers.image.created="2023-05-08T17:52:05Z" \
org.opencontainers.image.description="Application packaged by VMware, Inc" \
org.opencontainers.image.licenses="Apache-2.0" \
org.opencontainers.image.ref.name="1.5.0-debian-11-r88" \
org.opencontainers.image.title="grafana-tempo-vulture" \
org.opencontainers.image.vendor="VMware, Inc." \
org.opencontainers.image.version="1.5.0"
ENV HOME="/" \
OS_ARCH="${TARGETARCH:-amd64}" \
OS_FLAVOUR="debian-11" \
OS_NAME="linux"
COPY prebuildfs /
SHELL ["/bin/bash", "-o", "pipefail", "-c"]
# Install required system packages and dependencies
RUN install_packages ca-certificates curl procps
RUN mkdir -p /tmp/bitnami/pkg/cache/ && cd /tmp/bitnami/pkg/cache/ && \
COMPONENTS=( \
"grafana-tempo-vulture-1.5.0-8-linux-${OS_ARCH}-debian-11" \
) && \
for COMPONENT in "${COMPONENTS[@]}"; do \
if [ ! -f "${COMPONENT}.tar.gz" ]; then \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz" -O ; \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz.sha256" -O ; \
fi && \
sha256sum -c "${COMPONENT}.tar.gz.sha256" && \
tar -zxf "${COMPONENT}.tar.gz" -C /opt/bitnami --strip-components=2 --no-same-owner --wildcards '*/files' && \
rm -rf "${COMPONENT}".tar.gz{,.sha256} ; \
done
RUN apt-get autoremove --purge -y curl && \
apt-get update && apt-get upgrade -y && \
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives
RUN chmod g+rwX /opt/bitnami
ENV APP_VERSION="1.5.0" \
BITNAMI_APP_NAME="grafana-tempo-vulture" \
PATH="/opt/bitnami/grafana-tempo-vulture/bin:$PATH"
USER 1001
ENTRYPOINT [ "tempo-vulture" ]
CMD [ "--help" ]

View File

@ -1,4 +0,0 @@
version: '2'
services:
grafana-tempo-vulture:
image: docker.io/bitnami/grafana-tempo-vulture:1

View File

@ -1,8 +0,0 @@
{
"grafana-tempo-vulture": {
"arch": "amd64",
"distro": "debian-11",
"type": "NAMI",
"version": "1.5.0-8"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses at:
https://bitnami.com/open-source
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,25 +0,0 @@
#!/bin/sh
set -eu
n=0
max=2
export DEBIAN_FRONTEND=noninteractive
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,4 +0,0 @@
rolling-tags:
- "1"
- 1-debian-11
- 1.5.0

View File

@ -1,48 +0,0 @@
FROM docker.io/bitnami/minideb:bullseye
ARG TARGETARCH
LABEL org.opencontainers.image.base.name="docker.io/bitnami/minideb:bullseye" \
org.opencontainers.image.created="2023-05-08T17:59:28Z" \
org.opencontainers.image.description="Application packaged by VMware, Inc" \
org.opencontainers.image.licenses="Apache-2.0" \
org.opencontainers.image.ref.name="1.5.0-debian-11-r90" \
org.opencontainers.image.title="grafana-tempo" \
org.opencontainers.image.vendor="VMware, Inc." \
org.opencontainers.image.version="1.5.0"
ENV HOME="/" \
OS_ARCH="${TARGETARCH:-amd64}" \
OS_FLAVOUR="debian-11" \
OS_NAME="linux"
COPY prebuildfs /
SHELL ["/bin/bash", "-o", "pipefail", "-c"]
# Install required system packages and dependencies
RUN install_packages ca-certificates curl procps
RUN mkdir -p /tmp/bitnami/pkg/cache/ && cd /tmp/bitnami/pkg/cache/ && \
COMPONENTS=( \
"grafana-tempo-1.5.0-8-linux-${OS_ARCH}-debian-11" \
) && \
for COMPONENT in "${COMPONENTS[@]}"; do \
if [ ! -f "${COMPONENT}.tar.gz" ]; then \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz" -O ; \
curl -SsLf "https://downloads.bitnami.com/files/stacksmith/${COMPONENT}.tar.gz.sha256" -O ; \
fi && \
sha256sum -c "${COMPONENT}.tar.gz.sha256" && \
tar -zxf "${COMPONENT}.tar.gz" -C /opt/bitnami --strip-components=2 --no-same-owner --wildcards '*/files' && \
rm -rf "${COMPONENT}".tar.gz{,.sha256} ; \
done
RUN apt-get autoremove --purge -y curl && \
apt-get update && apt-get upgrade -y && \
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives
RUN chmod g+rwX /opt/bitnami
RUN mkdir -p /bitnami/grafana-tempo && chmod g+rwX /bitnami/grafana-tempo
ENV APP_VERSION="1.5.0" \
BITNAMI_APP_NAME="grafana-tempo" \
PATH="/opt/bitnami/grafana-tempo/bin:$PATH"
USER 1001
ENTRYPOINT [ "tempo" ]
CMD [ "-config.file=/bitnami/grafana-tempo/conf/tempo.yaml" ]

View File

@ -1,4 +0,0 @@
version: '2'
services:
grafana-tempo:
image: docker.io/bitnami/grafana-tempo:1

View File

@ -1,46 +0,0 @@
server:
http_listen_port: 3200
distributor:
receivers: # this configuration will listen on all ports and protocols that tempo is capable of.
jaeger: # the receives all come from the OpenTelemetry collector. more configuration information can
protocols: # be found there: https://github.com/open-telemetry/opentelemetry-collector/tree/main/receiver
thrift_http: #
grpc: # for a production deployment you should only enable the receivers you need!
thrift_binary:
thrift_compact:
zipkin:
otlp:
protocols:
http:
grpc:
opencensus:
ingester:
max_block_duration: 5m # cut the headblock when this much time passes. this is being set for demo purposes and should probably be left alone normally
compactor:
compaction:
block_retention: 1h # overall Tempo trace retention. set for demo purposes
metrics_generator:
registry:
external_labels:
source: tempo
cluster: docker-compose
storage:
path: /tmp/tempo/generator/wal
remote_write:
- url: http://prometheus:9090/api/v1/write
send_exemplars: true
storage:
trace:
backend: local # backend configuration to use
wal:
path: /tmp/tempo/wal # where to store the the wal locally
local:
path: /tmp/tempo/blocks
overrides:
metrics_generator_processors: [service-graphs, span-metrics] # enables metrics generator

View File

@ -1,8 +0,0 @@
{
"grafana-tempo": {
"arch": "amd64",
"distro": "debian-11",
"type": "NAMI",
"version": "1.5.0-8"
}
}

View File

@ -1,3 +0,0 @@
Bitnami containers ship with software bundles. You can find the licenses at:
https://bitnami.com/open-source
/opt/bitnami/[name-of-bundle]/licenses/[bundle-version].txt

View File

@ -1,25 +0,0 @@
#!/bin/sh
set -eu
n=0
max=2
export DEBIAN_FRONTEND=noninteractive
until [ $n -gt $max ]; do
set +e
(
apt-get update -qq &&
apt-get install -y --no-install-recommends "$@"
)
CODE=$?
set -e
if [ $CODE -eq 0 ]; then
break
fi
if [ $n -eq $max ]; then
exit $CODE
fi
echo "apt failed, retrying"
n=$(($n + 1))
done
apt-get clean && rm -rf /var/lib/apt/lists /var/cache/apt/archives

View File

@ -1,4 +0,0 @@
rolling-tags:
- "1"
- 1-debian-11
- 1.5.0